Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235271 - Regression in fence_ilo
Summary: Regression in fence_ilo
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: fence
Version: 4
Hardware: All
OS: Linux
urgent
high
Target Milestone: ---
Assignee: Ryan McCabe
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks: 248608
TreeView+ depends on / blocked
 
Reported: 2007-04-04 19:21 UTC by Jim Parsons
Modified: 2009-04-16 19:48 UTC (History)
4 users (show)

Fixed In Version: 4.6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-04-21 21:07:40 UTC


Attachments (Terms of Use)
patch to correct fence_ilo.pl (deleted)
2007-04-04 19:27 UTC, Ryan McCabe
no flags Details | Diff

Comment 1 Ryan McCabe 2007-04-04 19:27:37 UTC
Created attachment 151705 [details]
patch to correct fence_ilo.pl

iLO2 with RIBCL v2.22 behaves differently from iLO with RIBCL v2.22. For the
former, HOLD_PWR_BTN is used to both power the machine on and off; when the
power is off, PRESS_PWR_BUTTON has no effect. For the latter, HOLD_PWR_BUTTON
is used to power the machine off, and PRESS_PWR_BUTTON is used to power the
machine on; when the power is off, HOLD_PWR_BUTTON has no effect.

Comment 2 Ryan McCabe 2007-04-04 19:34:08 UTC
The attached patch has been committed to the RHEL4 (but not the RHEL45) CVS
branch) and has been tested on iLO with firmware revisions 1.55 (RIBCL 2.21),
1.62 (RIBCL 2.21), 1.70 (RIBCL 2.21), and 1.82 (RIBCL v2.22); and iLO2 with
firmware revision 1.26 (RIBCL 2.22).


Note You need to log in before you can comment on or make changes to this bug.